# Security Guidelines for this Project

## How the Walmart Security team manages security for this project
Walmart takes security seriously and wants to ensure that we maintain a secure environment for our customers and that we also provide secure solutions for the open source community. To help us achieve these goals, please note the following before using this software:

  - Review the software license to understand Walmart's obligations in terms of warranties and suitability for purpose
  - Review our Responsible Disclosure Policy: https://corporate.walmart.com/article/responsible-disclosure-policy
  - Report any security concerns or questions using our reporting form at the bottom of our Responsible Disclosure Policy page: https://corporate.walmart.com/article/responsible-disclosure-policy 
  - We enforce SLAs on our security team and software engineers to remediate security bugs in a timely manner
  - Please monitor this repository and update your environment in a timely manner as we release patches and updates

## Responsibly Disclosing Security Bugs to Walmart
If you find a security bug in this repository, please work with Walmart's security team following responsible disclosure principles and these guidelines: 

  - Do not submit a normal issue or pull request in our public repository, instead report directly on our reporting form found at the bottom of our Responsible Disclosure Policy page: https://corporate.walmart.com/article/responsible-disclosure-policy 
  - We will review your submission and may follow up for additional details
  - If you have a patch, we will review it and approve it privately; once approved for release you can submit it as a pull request publicly in our repos (we give credit where credit is due)
